testdatadir = testdata

TEST_LOG_COMPILER = $(srcdir)/run_test.sh
TEST_LOG_FLAGS = $(srcdir) $(builddir)

INPUTDATA = \
$(testdatadir)/dodecahedron.chiro \
$(testdatadir)/icosahedron.chiro \
$(testdatadir)/cube_1.dat \
$(testdatadir)/cube_2.dat \
$(testdatadir)/cube_3.dat \
$(testdatadir)/cube_4.dat \
$(testdatadir)/cube_5.dat \
$(testdatadir)/cube_6.dat \
$(testdatadir)/D3xD3.dat \
$(testdatadir)/3D3.dat \
$(testdatadir)/cyclic_12_4.dat

TESTS =

# configurations:
TESTS += \
$(testdatadir)/B_A_4.test \
$(testdatadir)/B_A_center_4.test \
$(testdatadir)/B_D_4.test \
$(testdatadir)/B_D_center_4.test \
$(testdatadir)/B_S_4.test \
$(testdatadir)/B_S_center_4.test \
$(testdatadir)/cross_6.test \
$(testdatadir)/cube_6.test \
$(testdatadir)/cyclic_11_3.test \
$(testdatadir)/cyclic_12_4.test \
$(testdatadir)/Dnxk_3_3.test \
$(testdatadir)/hypersimplex_6_2.test \
$(testdatadir)/hypersimplex_6_2_4.test \
$(testdatadir)/lattice_4_3.test \
$(testdatadir)/kDn_3_3.test \
$(testdatadir)/permutahedron_4.test \
$(testdatadir)/rootpoly_5.test \
$(testdatadir)/rootpoly_center_5.test \
$(testdatadir)/santos_triang.test

# general for chirotope:
TESTS += \
$(testdatadir)/chiro2dual_-v_dodecahedron.test

# general for points:
TESTS += \
$(testdatadir)/points2prettyprint_-v_cube_4.test \
$(testdatadir)/points2chiro_-v_cube_4.test \
$(testdatadir)/points2chiro_-v_point.test \
$(testdatadir)/points2facets_-v_cube_4.test \
$(testdatadir)/points2gale_-v_cube_6.test \
$(testdatadir)/points2placingtriang_-v_cube_4.test \
$(testdatadir)/points2symmetries_-v_D3xD3.test \
$(testdatadir)/points2vertices_-v_3D3.test \
$(testdatadir)/points2volume_-v_cyclic_12_4.test

# (co-)circuits from chirotope:
TESTS += \
$(testdatadir)/chiro2circuits_-v_cube_4.test \
$(testdatadir)/chiro2circuits_-v_cube_5.test \
$(testdatadir)/chiro2cocircuits_-v_cube_4.test \
$(testdatadir)/chiro2cocircuits_-v_cube_5.test \
$(testdatadir)/chiro2ncircuits_-v_cube_4.test \
$(testdatadir)/chiro2ncircuits_-v_cube_5.test \
$(testdatadir)/chiro2ncocircuits_-v_cube_4.test \
$(testdatadir)/chiro2ncocircuits_-v_cube_5.test

# (co-)circuits from points:
TESTS += \
$(testdatadir)/points2circuits_-v--useswitchtables_cube_6.test \
$(testdatadir)/points2circuits_-v_cube_4.test \
$(testdatadir)/points2circuits_-v_cube_5.test \
$(testdatadir)/points2cocircuits_-v--useswitchtables--dump_cube_6.test \
$(testdatadir)/points2cocircuits_-v--useswitchtables--read_cube_6.test \
$(testdatadir)/points2cocircuits_-v_cube_4.test \
$(testdatadir)/points2cocircuits_-v_cube_5.test \
$(testdatadir)/points2ncircuits_-v--parallelenumeration--useswitchtables--dump_cube_6.test \
$(testdatadir)/points2ncircuits_-v--parallelenumeration--useswitchtables--read_cube_6.test \
$(testdatadir)/points2ncircuits_-v_cube_4.test \
$(testdatadir)/points2ncircuits_-v_cube_5.test \
$(testdatadir)/points2ncocircuits_-v--parallelenumeration--useswitchtables_cube_6.test \
$(testdatadir)/points2ncocircuits_-v_cube_4.test \
$(testdatadir)/points2ncocircuits_-v_cube_5.test

# triangulations from chirotope:
TESTS += \
$(testdatadir)/chiro2nalltriangs_-v--parallelenumeration_icosahedron.test

# triangulations from points:
TESTS += \
$(testdatadir)/points2allfinetriangs_-v_cube_1.test \
$(testdatadir)/points2allfinetriangs_-v_cube_2.test \
$(testdatadir)/points2allfinetriangs_-v_cube_3.test \
$(testdatadir)/points2alltriangs_-v_cube_1.test \
$(testdatadir)/points2alltriangs_-v_cube_2.test \
$(testdatadir)/points2alltriangs_-v_cube_3.test \
$(testdatadir)/points2nallfinetriangs_-v_cube_1.test \
$(testdatadir)/points2nallfinetriangs_-v_cube_2.test \
$(testdatadir)/points2nallfinetriangs_-v_cube_3.test \
$(testdatadir)/points2nalltriangs_-v--parallelenumeration_cube_3.test \
$(testdatadir)/points2nalltriangs_-v--regular_cube_3.test \
$(testdatadir)/points2nalltriangs_-v_cube_1.test \
$(testdatadir)/points2nalltriangs_-v_cube_2.test \
$(testdatadir)/points2nalltriangs_-v_cube_3.test \
$(testdatadir)/points2nalltriangs_-v--parallelenumeration--dump_cube_4.test \
$(testdatadir)/points2nalltriangs_-v--parallelenumeration--read_cube_4.test \
$(testdatadir)/points2nalltriangs_-v--parallelenumeration_cube_4_dual.test \
$(testdatadir)/points2nalltriangs_-v--parallelenumeration_4D2_dual.test \
$(testdatadir)/points2nalltriangs_-v--parallelenumeration--regular_4D2_dual.test \
$(testdatadir)/points2nalltriangs_-v--parallelenumeration--regularearly_4D2_dual.test \
$(testdatadir)/points2ntriangs_-v_cube_1.test \
$(testdatadir)/points2ntriangs_-v_cube_2.test \
$(testdatadir)/points2ntriangs_-v_cube_3.test \
$(testdatadir)/points2ntriangs_-v--parallelsymmetries--dump_D3xD3.test \
$(testdatadir)/points2ntriangs_-v--parallelsymmetries--read_D3xD3.test \
$(testdatadir)/points2triangs_-v_cube_1.test \
$(testdatadir)/points2triangs_-v_cube_2.test \
$(testdatadir)/points2triangs_-v_cube_3.test \
$(testdatadir)/points2alltriangs_-v--triangsymmetries--regular_moae.test \
$(testdatadir)/points2alltriangs_-v--nosymmetries_cross_2_dual.test \
$(testdatadir)/points2alltriangs_-v--regular_moae.test \
$(testdatadir)/points2triangs_-v--regular--affinesymmetries_moae.test \
$(testdatadir)/points2triangs_-v--triangsymmetries--regular--affinesymmetries_moae.test \
$(testdatadir)/checkregularity_-v_moae_checkreg.test \
$(testdatadir)/checkregularity_-v--heights_moae_checkreg.test \
$(testdatadir)/checkregularity_-v_cyclic_11_5.test

if USE_QSOPTEX
TESTS += \
$(testdatadir)/points2triangs_-v--nosymmetries--regular--qsoptex_moae.test \
$(testdatadir)/points2triangs_-v--nosymmetries--triangsymmetries--regular--qsoptex_moae.test \
$(testdatadir)/checkregularity_-v--qsoptex_cyclic_11_5.test
endif

if USE_SOPLEX
TESTS += \
$(testdatadir)/points2triangs_-v--nosymmetries--regular--soplex_moae.test \
$(testdatadir)/points2triangs_-v--nosymmetries--triangsymmetries--regular--soplex_moae.test \
$(testdatadir)/checkregularity_-v--soplex_cyclic_11_5.test
endif

# dependencies:
$(testdatadir)/points2ncircuits_-v--parallelenumeration--useswitchtables--read_cube_6.log: $(testdatadir)/points2ncircuits_-v--parallelenumeration--useswitchtables--dump_cube_6.log
$(testdatadir)/points2cocircuits_-v--useswitchtables--read_cube_6.log: $(testdatadir)/points2cocircuits_-v--useswitchtables--dump_cube_6.log
$(testdatadir)/points2nalltriangs_-v--parallelenumeration--read_cube_4.log: $(testdatadir)/points2nalltriangs_-v--parallelenumeration--dump_cube_4.log
$(testdatadir)/points2ntriangs_-v--parallelsymmetries--read_D3xD3.log: $(testdatadir)/points2ntriangs_-v--parallelsymmetries--dump_D3xD3.log

EXTRA_DIST = $(TESTS) $(TEST_LOG_COMPILER) $(INPUTDATA)
EXTRA_DIST += $(TESTS:%.test=%.result)
EXTRA_DIST += testdata

clean-local:
	rm -rf *.dump.* *.dump *.lp

.PHONY: $(TESTS) clean-local

# eof
